﻿// --------------------------------------------------------------------------------------
//
// FishTXConsole                                                   Ulrich Müller 26.10.09
//                                                                 Aspire C# 2005 Express
// Programmrahmen (Template) für eine Console-Anwendung mit FishFaceTX.DLL
//     für einen ROBO TX Controller : COM-Name muß angepaßt werden
//     Eventuell verwendete Unterprogramme müssen mit static gekennzeichnet sein
//
// --------------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Text;
using FishFaceTX;

namespace FishTXConsole {
  class Program {
    static FishFace tx = new FishFace();

    static void Main(string[] args) {
      try {
        Console.WriteLine("--- Main gestartet ---");
        tx.OpenController("COM4");
        Console.WriteLine("--- Beenden : Escape-Taste ---");
        do {

          // ----------- Hier die Anwendungsbefehle einfügen ----

        } while (!tx.Finish());
      }
      catch (FishFaceException txe) {
        Console.WriteLine(txe.Message);
      }
      finally {
        tx.CloseController();
        Console.WriteLine("--- RETURN Taste drücken ---");
        Console.ReadLine();
      }
    }
  }
}
